# TraffiX
Traffic Assignment with NetworkX and osmnX. <br>
Formerly known as "StraPy", the name clashed with other package name in PyPi.

## Purpose
TraffiX is aiming to create a free open access transportation simulation software for all, increasing reproducibility, transparency, and public accessibility while decreasing cost and subjective decision making in the transportation modelling domain.<br>
TraffiX is also intended as an environment and framework for student, researcher, public institution or any other interested parties to test all of their transportation modelling related problem for the advancement of the discipline itself.

## Current and Future Project Directions
### Now
TraffiX is currently developing macroscopic modelling assignment (User Equilibrium) described in Yosef Sheffi's Urban Transportation Networks and Maximum Entropy Matrix Estimation commonly used as the basic macroscopic transportation model in the four step transport plannning model. <br>
### In the near future
TraffiX short-term goals is supporting classical transportation modellling techniques and method described in Ortúzar & Willumsen's Modelling Transport and Yosef Sheffi's Urban Transportation Network <br>
### In the distant future
Although the current goals of StraPy are focusing on macroscopic aspect of transportation modelling, it is also expected to include functionalities to support on any other branches such as microscopic transportation modelling, behavioral model (discrete choice modelling), Agent-based Modelling (such as MATSim), dynamic modelling, etc.

## References
1. Aulia Rahman's [working paper](https://drive.google.com/file/d/1EsmRboHHBDYEzDBGGMN8GfWzcz8Zja3M/view?usp=sharing "Working Paper") (Indonesian Language).
2. Sheffi, Y. 1984. Urban Transportation Networks.
3. Ortúzar, J. de D., Willumsen, L.G., Consultancy, L.W., 2011. Modelling Transport.
